libzypp: zypp::zypp_detail::ZYppImpl Class Reference

libzypp 17.38.14

zypp::zypp_detail::ZYppImpl Class Reference

`#include <zypp/zypp_detail/ZYppImpl.h>`

## Public Member Functions
| ZYppImpl ()
| Default ctor.
| ~ZYppImpl ()
| Dtor.
ResPool | pool () const
ResPoolProxy | poolProxy () const
KeyRing_Ptr | keyRing () const
Resolver_Ptr | resolver () const
Target_Ptr | target () const
Target_Ptr | getTarget () const
| Same as target but returns NULL if target is not initialized, instead of throwing.
void | initializeTarget (const Pathname &root, bool doRebuild_r)
void | finishTarget ()
ZYppCommitResult | commit (const ZYppCommitPolicy &policy_r)
| Commit changes and transactions.
void | installSrcPackage (const SrcPackage_constPtr &srcPackage_r)
| Install a source package on the Target.
ManagedFile | provideSrcPackage (const SrcPackage_constPtr &srcPackage_r)
| Install a source package on the Target.
Pathname | homePath () const
| Get the path where zypp related plugins store persistent data and caches.
Pathname | tmpPath () const
| Get the path where zypp related plugins store tmp data.
void | setHomePath (const Pathname &path)
| set the home, if you need to change it
DiskUsageCounter::MountPointSet | diskUsage ()
void | setPartitions (const DiskUsageCounter::MountPointSet &mp)
DiskUsageCounter::MountPointSet | getPartitions () const
void | changeTargetTo (const Target_Ptr &newtarget_r)
| Hook for actions to trigger if the Target changes (initialize/finish).

## Static Public Member Functions
static void | setShutdownSignal ()
| Enable the shutdown signal for zypp_poll calls.
static void | clearShutdownSignal ()
| Disable the shutdown signal for zypp_poll calls.

## Private Attributes
Target_Ptr | _target
Resolver_Ptr | _resolver
KeyRing_Ptr | _keyring
Pathname | _home_path
shared_ptr< DiskUsageCounter > | _disk_usage
| defined mount points, used for disk usage counting

## Friends
std::ostream & | operator<< (std::ostream &str, const ZYppImpl &obj)
| relates: ZYppImpl Stream output

## Detailed Description

Definition at line 40 of file ZYppImpl.h.

## Constructor & Destructor Documentation

## ◆ ZYppImpl()

zypp::zypp_detail::ZYppImpl::ZYppImpl | ( |  | ) |

Default ctor.

Definition at line 116 of file ZYppImpl.cc.

## ◆ ~ZYppImpl()

zypp::zypp_detail::ZYppImpl::~ZYppImpl | ( |  | ) |

Dtor.

Definition at line 135 of file ZYppImpl.cc.

## Member Function Documentation

## ◆ pool()

ResPool zypp::zypp_detail::ZYppImpl::pool | ( |  | ) | const
| inline

Definition at line 52 of file ZYppImpl.h.

## ◆ poolProxy()

ResPoolProxy zypp::zypp_detail::ZYppImpl::poolProxy | ( |  | ) | const
| inline

Definition at line 55 of file ZYppImpl.h.

## ◆ keyRing()

KeyRing_Ptr zypp::zypp_detail::ZYppImpl::keyRing | ( |  | ) | const
| inline

Definition at line 59 of file ZYppImpl.h.

## ◆ resolver()

Resolver_Ptr zypp::zypp_detail::ZYppImpl::resolver | ( |  | ) | const
| inline

Definition at line 63 of file ZYppImpl.h.

## ◆ target()

Target_Ptr zypp::zypp_detail::ZYppImpl::target | ( |  | ) | const

Todo
  Signal locale change.

Exceptions

  Exception |

Definition at line 167 of file ZYppImpl.cc.

## ◆ getTarget()

Target_Ptr zypp::zypp_detail::ZYppImpl::getTarget | ( |  | ) | const
| inline

Same as target but returns NULL if target is not initialized, instead of throwing.

Definition at line 76 of file ZYppImpl.h.

## ◆ initializeTarget()

void zypp::zypp_detail::ZYppImpl::initializeTarget | ( | const Pathname & | root,
|  | bool | doRebuild_r )

Exceptions

  Exception | true, just init the target, dont populate store or pool

Definition at line 183 of file ZYppImpl.cc.

## ◆ finishTarget()

void zypp::zypp_detail::ZYppImpl::finishTarget | ( |  | ) |

Exceptions

  Exception |

Definition at line 198 of file ZYppImpl.cc.

## ◆ commit()

ZYppCommitResult zypp::zypp_detail::ZYppImpl::commit | ( | const ZYppCommitPolicy & | policy_r | ) |

Commit changes and transactions.

Todo
  Remove workflow from target, lot's of it could be done here, and target used for transact.

Definition at line 211 of file ZYppImpl.cc.

## ◆ installSrcPackage()

void zypp::zypp_detail::ZYppImpl::installSrcPackage | ( | const SrcPackage_constPtr & | srcPackage_r | ) |

Install a source package on the Target.

Definition at line 260 of file ZYppImpl.cc.

## ◆ provideSrcPackage()

ManagedFile zypp::zypp_detail::ZYppImpl::provideSrcPackage | ( | const SrcPackage_constPtr & | srcPackage_r | ) |

Install a source package on the Target.

Definition at line 267 of file ZYppImpl.cc.

## ◆ homePath()

Pathname zypp::zypp_detail::ZYppImpl::homePath | ( |  | ) | const

Get the path where zypp related plugins store persistent data and caches.

Definition at line 277 of file ZYppImpl.cc.

## ◆ tmpPath()

Pathname zypp::zypp_detail::ZYppImpl::tmpPath | ( |  | ) | const

Get the path where zypp related plugins store tmp data.

Definition at line 283 of file ZYppImpl.cc.

## ◆ setHomePath()

void zypp::zypp_detail::ZYppImpl::setHomePath | ( | const Pathname & | path | ) |

set the home, if you need to change it

Definition at line 280 of file ZYppImpl.cc.

## ◆ diskUsage()

DiskUsageCounter::MountPointSet zypp::zypp_detail::ZYppImpl::diskUsage | ( |  | ) |

Definition at line 141 of file ZYppImpl.cc.

## ◆ setPartitions()

void zypp::zypp_detail::ZYppImpl::setPartitions | ( | const DiskUsageCounter::MountPointSet & | mp | ) |

Definition at line 150 of file ZYppImpl.cc.

## ◆ getPartitions()

DiskUsageCounter::MountPointSet zypp::zypp_detail::ZYppImpl::getPartitions | ( |  | ) | const

Definition at line 156 of file ZYppImpl.cc.

## ◆ changeTargetTo()

void zypp::zypp_detail::ZYppImpl::changeTargetTo | ( | const Target_Ptr & | newtarget_r | ) |

Hook for actions to trigger if the Target changes (initialize/finish).

Definition at line 174 of file ZYppImpl.cc.

## ◆ setShutdownSignal()

void zypp::zypp_detail::ZYppImpl::setShutdownSignal | ( |  | ) |
| static

Enable the shutdown signal for zypp_poll calls.

Definition at line 286 of file ZYppImpl.cc.

## ◆ clearShutdownSignal()

void zypp::zypp_detail::ZYppImpl::clearShutdownSignal | ( |  | ) |
| static

Disable the shutdown signal for zypp_poll calls.

Definition at line 298 of file ZYppImpl.cc.

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | str,
|  | const ZYppImpl & | obj )
| friend

relates: ZYppImpl Stream output

Definition at line 318 of file ZYppImpl.cc.

## Member Data Documentation

## ◆ _target

Target_Ptr zypp::zypp_detail::ZYppImpl::_target
| private

Definition at line 130 of file ZYppImpl.h.

## ◆ _resolver

Resolver_Ptr zypp::zypp_detail::ZYppImpl::_resolver
| private

Definition at line 132 of file ZYppImpl.h.

## ◆ _keyring

KeyRing_Ptr zypp::zypp_detail::ZYppImpl::_keyring
| private

Definition at line 134 of file ZYppImpl.h.

## ◆ _home_path

Pathname zypp::zypp_detail::ZYppImpl::_home_path
| private

Definition at line 136 of file ZYppImpl.h.

## ◆ _disk_usage

shared_ptr<DiskUsageCounter> zypp::zypp_detail::ZYppImpl::_disk_usage
| private

defined mount points, used for disk usage counting

Definition at line 138 of file ZYppImpl.h.

The documentation for this class was generated from the following files:

- zypp/zypp_detail/ZYppImpl.h
- zypp/zypp_detail/ZYppImpl.cc